Bug 108562 - SVGIO: Add support for font feature settings in SVG
Summary: SVGIO: Add support for font feature settings in SVG
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.4.0.0.beta2
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:svg
Depends on: 58941
Blocks: SVG-Import
  Show dependency treegraph
 
Reported: 2017-06-16 08:30 UTC by Volga
Modified: 2021-06-21 03:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Here is the example I got from original source. (3.11 KB, image/svg+xml)
2019-06-21 03:30 UTC, Volga
Details
Here is the example I got from original source. (3.17 KB, image/svg+xml)
2019-06-21 05:17 UTC, Volga
Details
Here is the example I got from original source. (3.15 KB, image/svg+xml)
2019-06-21 05:23 UTC, Volga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volga 2017-06-16 08:30:05 UTC
Description:
Inkscape developer have already announced they got support for font feature settings on planet.inkscape.org nearly 2 years ago, and it was already landed in Inkscape 0.92, making SVG images allowed to make use of font feature. Thus, if a SVG image isincluded font feature setting properties, LibreOffice should allowed to import them and making them presenting on screen.

Steps to Reproduce:
-

Actual Results:  
-

Expected Results:
-


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:54.0) Gecko/20100101 Firefox/54.0
Comment 1 Xisco Faulí 2017-06-16 08:42:53 UTC
Could you please attach a svg file as an example ?
Comment 2 Volga 2017-06-17 00:41:24 UTC
OK, on Planet Inkscape I found example avaiable here:
http://tavmjong.free.fr/blog/wp-content/uploads/FONTFEATURES/font_variants_example.svg
Comment 3 Volga 2017-08-27 10:52:16 UTC
Hi Xisco,

Do you think LibreOffice can accept these attributes?
Comment 4 QA Administrators 2019-06-21 02:52:19 UTC Comment hidden (obsolete)
Comment 5 Volga 2019-06-21 03:30:07 UTC Comment hidden (obsolete)
Comment 6 Volga 2019-06-21 05:17:15 UTC Comment hidden (obsolete)
Comment 7 Volga 2019-06-21 05:23:26 UTC
Created attachment 152323 [details]
Here is the example I got from original source.

Note I added Linux Biolinum G font to make it works for you.
Comment 8 QA Administrators 2021-06-21 03:38:20 UTC
Dear Volga,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug